using MongoDB.Bson.Serialization.Attributes;

namespace CharacterApi.Models;

public class VisibleLocationObject
{
    [BsonElement("id")]
    public string Id { get; set; } = string.Empty;

    [BsonElement("objectType")]
    public string ObjectType { get; set; } = string.Empty;

    [BsonElement("objectKey")]
    public string ObjectKey { get; set; } = string.Empty;

    [BsonElement("name")]
    public string Name { get; set; } = string.Empty;

    [BsonElement("state")]
    public VisibleLocationObjectState State { get; set; } = new();
}
